Databases - List Principals
지정된 Kusto 클러스터 및 데이터베이스의 데이터베이스 보안 주체 목록을 반환합니다.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/databases/{databaseName}/listPrincipals?api-version=2025-02-14
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string pattern: ^.*$ |
Kusto 클러스터의 이름입니다. |
|
database
|
path | True |
string pattern: ^.*$ |
Kusto 클러스터에 있는 데이터베이스의 이름입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 작업이 성공적으로 완료되었습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
KustoDatabaseListPrincipals
샘플 요청
POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/databases/KustoDatabase8/listPrincipals?api-version=2025-02-14
샘플 응답
{
"value": [
{
"name": "Some User",
"type": "User",
"appId": "",
"email": "user@microsoft.com",
"fqn": "aaduser=some_guid",
"role": "Admin"
},
{
"name": "Kusto",
"type": "Group",
"appId": "",
"email": "kusto@microsoft.com",
"fqn": "aadgroup=some_guid",
"role": "Viewer"
},
{
"name": "SomeApp",
"type": "App",
"appId": "some_guid_app_id",
"email": "",
"fqn": "aadapp=some_guid_app_id",
"role": "Admin"
}
]
}
정의
| Name | Description |
|---|---|
|
Database |
데이터베이스 주된 엔티티를 나타내는 클래스입니다. |
|
Database |
목록: Kusto 데이터베이스 주요 운영 응답. |
|
Database |
데이터베이스 주체 역할입니다. |
|
Database |
데이터베이스 주체(principal) 유형. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
DatabasePrincipal
데이터베이스 주된 엔티티를 나타내는 클래스입니다.
| Name | 형식 | Description |
|---|---|---|
| appId |
string |
Application ID - 애플리케이션 주체(application principal) 유형에만 해당됩니다. |
|
string |
데이터베이스 주요 이메일이 있다면 알려주세요. |
|
| fqn |
string |
데이터베이스 책임자 완전 자격을 갖춘 이름. |
| name |
string |
데이터베이스 프린시펄 네임. |
| role |
데이터베이스 주체 역할입니다. |
|
| tenantName |
string |
주인의 임차인 이름 |
| type |
데이터베이스 주체(principal) 유형. |
DatabasePrincipalListResult
목록: Kusto 데이터베이스 주요 운영 응답.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
결과의 다음 페이지로 이동합니다. |
| value |
Kusto 데이터베이스 보안 주체 목록입니다. |
DatabasePrincipalRole
데이터베이스 주체 역할입니다.
| 값 | Description |
|---|---|
| Admin |
관리자 |
| Ingestor |
인제스터 |
| Monitor |
모니터 |
| User |
사용자 |
| UnrestrictedViewer |
언제한 뷰어 |
| Viewer |
뷰어 |
DatabasePrincipalType
데이터베이스 주체(principal) 유형.
| 값 | Description |
|---|---|
| App |
응용 프로그램 |
| Group |
그룹 |
| User |
사용자 |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |